/******************************************************************************

File Name:           LCD_Bin_2_BCD.c
Dependencies:    Microchip Peripheral Library
Processor:           PIC18F65J90
Company:             Microchip Technology, Inc.

Copyright 2010 Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED ?AS IS? WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

Author                                     Date                                                Revision History / Comments
------------------------------------------------------------------------------------------------------------------------
Harsha Jagadish              1 - Jan - 2011                                                    Initial Version v1.0
Craig King					15 - Feb - 2011													   Port to 65J90 v1.1

*******************************************************************************/
#include "RegDef_EnergyMeter.h"

 /*************************************************************************
 Function Prototype :void LCD_Bin_2_BCD( UINT32 Data, UINT8* pointer_lcd)

 Include            : See Includes

 Description        : This function converts the input Data from hex to BCD form.
 
 Arguments          : Data - unisgned long data of energy value to be convertde into 10 digit BCD data
                               pointer_lcd -  pointer to array that holds the LCD seven segment pattern
                      
 Return Value       :Returns BCD format of data written to pointer_lcd array
 
 Remarks            :    1. This function will convert 32 bit Binay to 10 digit BCD
						 2. This function uses repeated subtraction method
*************************************************************************/


void LCD_Bin_2_BCD(UINT32 Data,UINT8* pointer_lcd)
{

   for (pointer_lcd[9] = 0 ; Data >= 1000000000 ; Data>=1000000000?(Data -= 1000000000):Data, pointer_lcd[9]++ );
   for (pointer_lcd[8] = 0 ; Data >= 100000000 ; Data>=100000000?(Data -= 100000000):Data, pointer_lcd[8]++ );
   for (pointer_lcd[7] = 0 ; Data >= 10000000 ; Data>=10000000?(Data -= 10000000):Data, pointer_lcd[7]++ );
   for (pointer_lcd[6] = 0 ; Data >= 1000000 ; Data>=1000000?(Data -= 1000000):Data, pointer_lcd[6]++ );
   for (pointer_lcd[5] = 0 ; Data >= 100000 ; Data>=100000?(Data -= 100000):Data, pointer_lcd[5]++ );
   for (pointer_lcd[4] = 0 ; Data >= 10000 ; Data>=10000?(Data -= 10000):Data, pointer_lcd[4]++ );
   for (pointer_lcd[3] = 0 ; Data >= 1000 ; Data>=1000?(Data -= 1000):Data, pointer_lcd[3]++ );
   for (pointer_lcd[2] = 0 ; Data >= 100 ; Data>=100?(Data -= 100):Data, pointer_lcd[2]++ );
   for (pointer_lcd[1] = 0 ; Data >= 10 ; Data>=10?(Data -= 10):Data, pointer_lcd[1]++ );
	pointer_lcd[0]= (UINT8)Data;
		
}



