/******************************************************************************

File Name:           LCD_Clear.c
Dependencies:    Microchip Peripheral Library
Processor:           PIC18F65J90
Company:             Microchip Technology, Inc.

Copyright 2010 Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED ?AS IS? WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

Author                                     Date                                                Revision History / Comments
------------------------------------------------------------------------------------------------------------------------
Harsha Jagadish              1 - Jan - 2011                                                    Initial Version v1.0
Craig King					15 - Feb - 2011													   Port to 65J90 v1.1

*******************************************************************************/
#include "lcd.h"

#if defined (LCD_V1_1) 
/*************************************************************************
 Function Prototype :void Clear_LCD(void)

 Include            : lcd.h

 Description        : This function clears all 24 LCD data LCDDATAx registers
 
 Arguments          : None
                      
 Return Value       :None
 
 Remarks            :   Should be called at the begining of application. This function is called by Config_LCD
*************************************************************************/

void Clear_LCD(void)
{

	LCDDATA0 = 0;
	LCDDATA1 = 0;
	LCDDATA2 = 0;
	LCDDATA3 = 0;
	LCDDATA4 = 0;

	LCDDATA6 = 0;
	LCDDATA7 = 0;
	LCDDATA8 = 0;
	LCDDATA9 = 0;
	LCDDATA10 = 0;

	LCDDATA12 = 0;
	LCDDATA13 = 0;
	LCDDATA14 = 0;
	LCDDATA15 = 0;
	LCDDATA16 = 0;

	LCDDATA18 = 0;
	LCDDATA19 = 0;
	LCDDATA20 = 0;
	LCDDATA21 = 0;
	LCDDATA22 = 0;

}

//#else
//#warning "Selected device does not support this function"
#endif
