/******************************************************************************

File Name:           LCD_Config_Segment.c
Dependencies:    Microchip Peripheral Library
Processor:           PIC18F65J90
Company:             Microchip Technology, Inc.

Copyright 2010 Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED ?AS IS? WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

Author                                     Date                                                Revision History / Comments
------------------------------------------------------------------------------------------------------------------------
Harsha Jagadish              1 - Jan - 2011                                                    Initial Version v1.0
Craig King					15 - Feb - 2011													   Port to 65J90 v1.1

*******************************************************************************/
#include "lcd.h"

#if defined (LCD_V1_1) 
/*************************************************************************
 Function Prototype :void Config_LCD_Segment(UINT8 segment0, UINT8 segment1, UINT8 segment2,
						UINT8 segment3, UINT8 segment4, UINT8 segment5)

 Include            : 	lcd.h

 Description        : 	This function initializes the LCD Segment LCDSEx registers
 
Parameters          :  	segment0 - This contains the parameters to be configured in LCDSE0 Register
						segment1 - This contains the parameters to be configured in LCDSE1 Register
						segment2 - This contains the parameters to be configured in LCDSE2 Register
						segment3 - This contains the parameters to be configured in LCDSE3 Register

                      
 Return Value       :	None
 
 Remarks            :   None
*************************************************************************/

void Config_LCD_Segment(UINT8 segment0, UINT8 segment1, UINT8 segment2,
						UINT8 segment3, UINT8 segment4, UINT8 segment5)
{

	LCD_Segment_Enable(0,segment0);
	LCD_Segment_Enable(1,segment1);
	LCD_Segment_Enable(2,segment2);
	LCD_Segment_Enable(3,segment3);
	LCD_Segment_Enable(4,segment4);

		
}

//#else
//#warning "Selected device does not support this function"
#endif
