/******************************************************************************

File Name:           debug_simulation_EnergyMeter.h
Dependencies:    Microchip Peripheral Library
Processor:           PIC18F65J90
Company:             Microchip Technology, Inc.

Copyright 2010 Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED ?AS IS? WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

Author                                     Date                                                Revision History / Comments
------------------------------------------------------------------------------------------------------------------------
Harsha Jagadish              1 - Jan - 2011                                                    Initial Version v1.0
*******************************************************************************/
#ifndef __debug_simulation_EnergyMeter
#define __debug_simulation_EnergyMeter

/****************************************************************************
  Macro:   ENABLE_SIMULATION

 Description:   Macro enables SIMULATION MODE with Signal input being fed from Array of
                         predefined SINE TABLE assigned in "extra_Simulation" file

  Precondition:   None

  Parameters:   uncomment below macro to enable Simulation Mode

  Remarks: None
  ***************************************************************************/
//#define ENABLE_SIMULATION

/****************************************************************************
  Macro:   ENABLE_SIMULATION

 Description:   Macro enables DEBUG MODE with input signal sampled from SD-ADC to be plotted
                         on DMCI Tool with signal samples loaded to array

  Precondition:   None

  Parameters:   Uncomment below macro for enabling debug mode 

  Remarks: None
  ***************************************************************************/
//#define DEBUG_EN

extern rom const INT16 VOLT_SAMP[];
extern rom const INT16 CURR_SAMP[];

#endif