/******************************************************************************
 // *                    Energy Meter Application
 ******************************************************************************
 * FileName:        		EM_VR_INIT.c
 * Dependencies:    		See include below from peripheral library support
 * Processor:       		PIC18F65J90
 * Compiler:        		MCC18
 * Company:         		Microchip Technology, Inc.
 *Authors:					Sunilkumar Konda
 *							Harsha Jagadish.			
 * Software License Agreement
 * The software supplied herewith by Microchip Technology Incorporated
 * (the Company) for its PICmicro Microcontroller is intended and
 * supplied to you, the Companys customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in violation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN AS IS CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *****************************************************************************
 *****************************Version Changes**********************************
 Version 2.6
 	*	Initializes all global variables to zero
 *****************************************************************************/
#include "RegDef_EnergyMeter.h"

/************************************************************************************
 Function    : void Init_Variables(void)

 Include     : Energymeter.h
 
 Description : The function initializes all variables to respective values
	
 Arguments   : None
 
 Remarks     : Add variables initialization upon addition of new variable
**************************************************************************************/
void Init_Variables(void)
{
	memset(&CommFlags,0,sizeof(CommFlags));
	memset(&Flags1,0,sizeof(Flags1));
	memset(&STATUS1,0,sizeof(STATUS1));
	memset(&CAL_CONTROL,0,sizeof(CAL_CONTROL));
	memset(&RAW2_I_RMS,0,sizeof(RAW2_I_RMS));
	memset(&RAW2_V_RMS,0,sizeof(RAW2_V_RMS));
	memset(&RAW_POWER_ACT,0,sizeof(RAW_POWER_ACT));
	memset(&RAW_POWER_REACT,0,sizeof(RAW_POWER_REACT));
	memset(&RAW_ENERGY_ACT,0,sizeof(RAW_ENERGY_ACT));
	memset(&RAW_ENERGY_APP,0,sizeof(RAW_ENERGY_APP));
	memset(&RAW_ENERGY_REACT,0,sizeof(RAW_ENERGY_REACT));
    LINE_CYC = 0;
    LINE_CYC_CNT = 0;
    RAW_I_RMS = 0;
    I_RMS = 0;
    RAW_V_RMS = 0;
    V_RMS = 0;
    FREQUENCY = 0;
    PERIOD = 0;
    POWER_ACT = 0;
    POWER_APP = 0;
    POWER_REACT = 0;
    I_ABS_MAX = 0;
    V_ABS_MAX = 0;
	
	PHASE_COMPENSATION = 0;
	PHASE_COMPENSATION_90 = 0;
	OFFSET_I_RMS = 0;
    GAIN_I_RMS = 0;
	OFFSET_V_RMS = 0;
    GAIN_V_RMS = 0;
    OFFSET_POWER_ACT = 0;
    GAIN_POWER_ACT = 0;
    GAIN_ENERGY_ACT = 0;
    GAIN_NUMR_ENERGY_ACT = 0;
    GAIN_DENR_ENERGY_ACT = 0;
    OFFSET_POWER_REACT = 0;
    GAIN_POWER_REACT = 0;
    GAIN_ENERGY_REACT = 0;
    GAIN_NUMR_ENERGY_REACT = 0;
    GAIN_DENR_ENERGY_REACT = 0;
    GAIN_ENERGY_APP = 0;
    CREEP_THRESHOLD_MINUTE = 0;
    CREEP_THRESHOLD_SECOND = 0;
    METER_CONSTANT = 0;
    CF_PULSE_WIDTH = 0;
    MODE1_DEF = 0;
    CAL_STATUS = 0;
    MAXIMUM_CURRENT = 0;
    CALIBRATION_VOLTAGE = 0;
    CALIBRATION_CURRENT = 0;
    CALIBRATION_FREQUENCY = 0;
    CALIBRATION_LINE_CYCLE = 0;
    ENERGY_ACT = 0;
    ENERGY_REACT = 0;
    ENERGY_APP = 0;
    
    Energy_Act_Per_Meter_Constant = 0;
    Energy_React_Per_Meter_Constant = 0;
    Incremental_CF_Energy_Act = 0;
    Incremental_CF_Energy_React = 0;
    
    memset(&Accumulate_Reactive_Energy_Raw,0,sizeof(Accumulate_Reactive_Energy_Raw));
    memset(&Reactive_Energy_Raw_Over_One_Cycle,0,sizeof(Reactive_Energy_Raw_Over_One_Cycle));
    
    memset(&Accumulate_Active_Energy_Raw,0,sizeof(Accumulate_Active_Energy_Raw));
    memset(&Active_Energy_Raw_Over_One_Cycle,0,sizeof(Active_Energy_Raw_Over_One_Cycle));
    
    memset(&Accumulate_Active_Ins_Power,0,sizeof(Accumulate_Active_Ins_Power));
    memset(&Accumulate_Reactive_Ins_Power,0,sizeof(Accumulate_Reactive_Ins_Power));
    
    memset(&Summation_Active_Ins_Power,0,sizeof(Summation_Active_Ins_Power));
	memset(&Summation_Reactive_Ins_Power,0,sizeof(Summation_Reactive_Ins_Power));
	
}

